from django.conf.urls import url

from .views import (
    ListView, AttachmentView,
    EntryView, EntryAttachmentView, EntryLiveEditView,
    SearchView, RSSView)


urlpatterns = [
    # Global attachment URL
    url(
        r'^attachment/(?P<attachment_id>\d+)$',
        AttachmentView.as_view(),
        name='attachment'
    ),
    # Post list
    url(
        r'^$',
        ListView.as_view(),
        name='list'
    ),
    # Single entry
    url(
        r'^(?P<year>\d{4})/(?P<month>\d{2})/(?P<day>\d{2})/(?P<slug>[\w\-]+)/$',
        EntryView.as_view(),
        name='item'
    ),
    # Live edit entry
    url(
        r'^(?P<year>\d{4})/(?P<month>\d{2})/(?P<day>\d{2})/(?P<slug>[\w\-]+)/edit/$',
        EntryLiveEditView.as_view(),
        name='item-liveedit'
    ),
    # Attachment
    url(
        r'^(?P<year>\d{4})/(?P<month>\d{2})/(?P<day>\d{2})/(?P<slug>[\w\-]+)/attachment/(?P<filename>.*)$',
        EntryAttachmentView.as_view(),
        name='item-attachment'
    ),
    # RSS
    url(
        r'^rss\.xml$',
        RSSView.as_view(),
        name='rss'
    ),
    # Search
    url(
        r'^search/$',
        SearchView.as_view(),
        name='search',
    )
]
